Subject: bug#5658: 23.1; Viewing .info files in Emacs' info-viewer

From: Stefan Monnier <[email-masked]>
Date: Wed, 03 Mar 2010 21:45:33 -0500

> This doesn't work too.  It seems `Info-on-current-buffer' was created
> exactly for the purpose to be associated with .info in auto-mode-alist.
> It is not used anywhere else.

Yes, I wrote Info-on-current-buffer specifically for this kind of use,
but no it doesn't work for the auto-mode-alist, really.
There is no good reason why it can't work for auto-mode-alist, but it's
the way it currently is.  Patches welcome,

        Stefan